package org.example.service.impl;

import lombok.RequiredArgsConstructor;
import org.example.dto.PassingDTO;
import org.example.exception.UserNotFoundException;
import org.example.repository.PassingRepository;
import org.example.service.PassingService;
import org.example.util.PassingMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class PassingServiceImpl implements PassingService {
    private final PassingRepository passingRepository;
    @Override
    public PassingDTO getPassingByUsername(String Username) {
        return passingRepository.findByUsername(Username).map(PassingMapper::convertToDto).orElseThrow(() -> new UserNotFoundException("Посещения не найдены"));

    }

    @Override
    public Page<PassingDTO> getAllPassingPaginated(Pageable pageable) {
        return passingRepository.findAll(pageable).map(PassingMapper::convertToDto);
    }
}
